unit ListReg;

interface

uses
  Classes, Graphics, Forms, ListSerFm;

type
  TListServerDialog = class(TComponent)
  private
    FCaption    : string;
    FFont       : TFont;
    FServerName : String;
    FDomain     : String;
    FSQLOnly    : boolean;
    procedure SetFont( Value : TFont );

  public
    constructor Create( AOwner : TComponent ); override;
    destructor Destroy; override;
    function Execute : boolean;

  published
    property SQLServerOnly : boolean
       read FSQLOnly
       write FSQLOnly;
    property Caption : string
       read FCaption
       write FCaption;

    property Font : TFont
       read FFont
       write SetFont;

    property ServerName : string
       read FServerName
       write FServerName;

    property Domain : String
       read FDomain
       write FDomain;
  end;

procedure Register;

implementation

uses
   WinTypes, Controls;

constructor TListServerDialog.Create( AOwner : TComponent );
begin
   inherited Create( AOwner );
   FFont := TFont.Create;
   if Owner is TForm then
     FFont.Assign( TForm(Owner).Font );
end;

destructor TListServerDialog.Destroy;
begin
   FFont.Free;
   inherited Destroy;
end;

procedure TListServerDialog.SetFont( Value : TFont );
begin
   FFont.Assign( Value );
end;

function TListServerDialog.Execute : boolean;
begin
   ListServerForm := TListServerForm.Create( Application );
   try
      with ListServerForm do
      begin
         Font := FFont;
         Tree.Font := FFont;
         Edit1.Font := FFont;
         Caption := FCaption;
         FDomain := '';
         FServerName := '';
         SQLServersOnly := FSQLOnly;
         Result := ShowModal = idOK;
         FDomain := ListSerFm.ListServerForm.Domain;
         FServerName := ListSerFm.ListServerForm.Server;
      end;
   finally
      ListServerForm.Free;
   end;
end;


procedure Register;
begin
  RegisterComponents('System', [TListServerDialog]);
end;

end.
